# VecCreateMPI

Creates a parallel vector.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecCreateMPI(MPI_Comm comm,PetscInt n,PetscInt N,Vec *v)

Collective on MPI_Comm

### Input Parameters

| comm | - the MPI communicator to use
| n | - local vector length (or PETSC_DECIDE to have calculated if N is given)
| N | - global vector length (or PETSC_DETERMINE to have calculated if n is given)

### Output Parameter

vv -the vector

### C++ variants

| VecCreateMPI(PetscInt n,PetscInt N,Vec *x) |  | -> |  | VecCreateMPI(PETSC_COMM_WORLD,n,N,x)

### Notes

Use VecDuplicate() or VecDuplicateVecs() to form additional vectors of the same type as an existing vector.

### See Also

VecCreateSeq(), VecCreate(), VecDuplicate(), VecDuplicateVecs(), VecCreateGhost(),
VecCreateMPIWithArray(), VecCreateGhostWithArray()

Level:intermediate
Location: src/vec/vec/impls/mpi/vmpicr.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex1e.c.html
src/vec/vec/examples/tutorials/ex10.c.html
src/vec/vec/examples/tutorials/ex11.c.html
src/vec/vec/examples/tutorials/ex13.c.html
src/vec/vec/examples/tutorials/ex1f.F.html
src/vec/vec/examples/tutorials/ex2f.F.html
src/vec/vec/examples/tutorials/ex1f90.F.html
src/vec/vec/examples/tutorials/ex11f.F.html
src/mat/examples/tutorials/ex4.c.html
src/ksp/ksp/examples/tutorials/ex27.c.html